// https://pkg.go.dev/crypto/tls#example-Config-KeyLogWriter
package main

import (
	"crypto/tls"
	"fmt"
	"log"
	"net/http"
	"os"
)

func main() {
	client := &http.Client{
		Transport: &http.Transport{
			TLSClientConfig: &tls.Config{
				KeyLogWriter:       os.Stdout,
				InsecureSkipVerify: true, // test server certificate is not trusted.
			},
		},
	}
	resp, err := client.Get("https://127.0.0.1:8000")
	if err != nil {
		log.Fatalf("Failed to get URL: %v", err)
	}
	resp.Body.Close()

	fmt.Println(resp.StatusCode, resp.Header, resp.Body)
}
